import { createApp, h } from 'vue';
import mock from './mock.json';

function render({
  element,
  props,
}) {
  const themeColor = props.themeColor || mock.themeColor;
  const title = props.title || mock.title;
  const app = createApp({
    render() {
      return h('h1', { style: { background: themeColor } }, title);
    },
    data() {
      return props;
    }
  });
  app.mount(element);
}

export default render;
